org.w3c.dom.html

## Interface HTMLFrameElement

- All Superinterfaces:
    Element, HTMLElement, Node

      public interface HTMLFrameElement
      extends HTMLElement

  Create a frame. See the FRAME element definition in HTML 4.0.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFrameBorder()` Request frame borders.
    `java.lang.String` | `getLongDesc()` URI designating a long description of this image or frame.
    `java.lang.String` | `getMarginHeight()` Frame margin height, in pixels.
    `java.lang.String` | `getMarginWidth()` Frame margin width, in pixels.
    `java.lang.String` | `getName()` The frame name (object of the `target` attribute).
    `boolean` | `getNoResize()` When true, forbid user from resizing frame.
    `java.lang.String` | `getScrolling()` Specify whether or not the frame should have scrollbars.
    `java.lang.String` | `getSrc()` A URI designating the initial frame contents.
    `void` | `setFrameBorder(java.lang.String frameBorder)`
    `void` | `setLongDesc(java.lang.String longDesc)`
    `void` | `setMarginHeight(java.lang.String marginHeight)`
    `void` | `setMarginWidth(java.lang.String marginWidth)`
    `void` | `setName(java.lang.String name)`
    `void` | `setNoResize(boolean noResize)`
    `void` | `setScrolling(java.lang.String scrolling)`
    `void` | `setSrc(java.lang.String src)`

    - ### Methods inherited from interface org.w3c.dom.html.HTMLElement

      `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### getFrameBorder

          java.lang.String getFrameBorder()

      Request frame borders. See the frameborder attribute definition in HTML 4.0.

    - #### setFrameBorder

          void setFrameBorder(java.lang.String frameBorder)

    - #### getLongDesc

          java.lang.String getLongDesc()

      URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0.

    - #### setLongDesc

          void setLongDesc(java.lang.String longDesc)

    - #### getMarginHeight

          java.lang.String getMarginHeight()

      Frame margin height, in pixels. See the marginheight attribute definition in HTML 4.0.

    - #### setMarginHeight

          void setMarginHeight(java.lang.String marginHeight)

    - #### getMarginWidth

          java.lang.String getMarginWidth()

      Frame margin width, in pixels. See the marginwidth attribute definition in HTML 4.0.

    - #### setMarginWidth

          void setMarginWidth(java.lang.String marginWidth)

    - #### getName

          java.lang.String getName()

      The frame name (object of the `target` attribute). See the name attribute definition in HTML 4.0.

    - #### setName

          void setName(java.lang.String name)

    - #### getNoResize

          boolean getNoResize()

      When true, forbid user from resizing frame. See the noresize attribute definition in HTML 4.0.

    - #### setNoResize

          void setNoResize(boolean noResize)

    - #### getScrolling

          java.lang.String getScrolling()

      Specify whether or not the frame should have scrollbars. See the scrolling attribute definition in HTML 4.0.

    - #### setScrolling

          void setScrolling(java.lang.String scrolling)

    - #### getSrc

          java.lang.String getSrc()

      A URI designating the initial frame contents. See the src attribute definition in HTML 4.0.

    - #### setSrc

          void setSrc(java.lang.String src)

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.